/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.InvoiceToCustomer;

import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class InvoiceToCustomer {
    public void makeInvoiceToCustomer() {
    }

    public void addDetail() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public BigDecimal calcSubtotal() {
        return new BigDecimal(0);
    }

    public BigDecimal calcDiscount() {
        return new BigDecimal(0);
    }

    public BigDecimal calcDeliveryCharge() {
        return new BigDecimal(0);
    }

    public BigDecimal calcTax() {
        return new BigDecimal(0);
    }

    public BigDecimal calcTotal() {
        return new BigDecimal(0);
    }

    public BigDecimal recalcTotal() {
        return new BigDecimal(0);
    }

    public void send() {
    }

    /**  */
    public void makeAdjustment() {
    }

    public void mi_postToCustomerAccountingAccount() {
    }

    /**
     *@shapeType AggregationLink
     *  @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private InvoiceDetail lnkUnnamed;
    private String number;
    private Date date;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 0..*
     */
    private AccountingMgmt.Posting.Posting lnkUnnamed1;

    /**
     *@supplierCardinality 0..1
     *@supplierRole adjustment
     * @clientCardinality 0..1
     */
    private InvoiceToCustomer lnkUnnamed2;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 0..*
     */
    private AccountingMgmt.Payment.Payment lnkUnnamed3;
    private BigDecimal subtotal;
    private BigDecimal discount;
    private BigDecimal deliveryCharge;
    private BigDecimal tax;

    /** @supplierCardinality 1 */
    private IMakeInvoiceToCustomer lnkUnnamed4;
    private int methodOfSendingInvoice;
    private int status;
}


